<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Roadflare Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/dcf/class_roadflare.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Roadflare Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Roadflare:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/dcf/class_roadflare.png" usemap="#Roadflare_map" alt=""/>
  <map id="Roadflare_map" name="Roadflare_map">
<area href="../../de/d7a/class_item_base.html" alt="ItemBase" shape="rect" coords="0,0,67,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4c3c64d08db1291be82bdb7bb14e681c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a4c3c64d08db1291be82bdb7bb14e681c">Roadflare</a> ()</td></tr>
<tr class="separator:a4c3c64d08db1291be82bdb7bb14e681c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3840fa9dc3aa00751d14dd0e9b5be4a6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a3840fa9dc3aa00751d14dd0e9b5be4a6">SetModelState</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> enum_state)</td></tr>
<tr class="separator:a3840fa9dc3aa00751d14dd0e9b5be4a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b949afa6dfe5c9d7d97095dd42a0d18"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a9b949afa6dfe5c9d7d97095dd42a0d18">EEDelete</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a9b949afa6dfe5c9d7d97095dd42a0d18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f9bcaffbc784e6373b1c8aa4b58914a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a2f9bcaffbc784e6373b1c8aa4b58914a">OnStoreSave</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:a2f9bcaffbc784e6373b1c8aa4b58914a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c27b06ce8f3f82dc7c3b2a0f3b92d97"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a0c27b06ce8f3f82dc7c3b2a0f3b92d97">OnStoreLoad</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> version)</td></tr>
<tr class="separator:a0c27b06ce8f3f82dc7c3b2a0f3b92d97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a613a83b9fb38be3209e1b07c282eb53f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a613a83b9fb38be3209e1b07c282eb53f">UpdateModelSelections</a> ()</td></tr>
<tr class="separator:a613a83b9fb38be3209e1b07c282eb53f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b6f386b1ab4de4610f2fe5953b45ccc"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a6b6f386b1ab4de4610f2fe5953b45ccc">OnWorkStart</a> ()</td></tr>
<tr class="separator:a6b6f386b1ab4de4610f2fe5953b45ccc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c4e5e7fe5a708ab0eb6357727aa543f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a8c4e5e7fe5a708ab0eb6357727aa543f">SetBurningState</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> state_number)</td></tr>
<tr class="separator:a8c4e5e7fe5a708ab0eb6357727aa543f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a561956faaefa09be57d60309a287c9ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a561956faaefa09be57d60309a287c9ba">SetBurningStateSynchronized</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> state_number)</td></tr>
<tr class="separator:a561956faaefa09be57d60309a287c9ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad41e53b17634434a0013ed8456441976"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#ad41e53b17634434a0013ed8456441976">OnWork</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> consumed_energy)</td></tr>
<tr class="separator:ad41e53b17634434a0013ed8456441976"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb85f79a623b0bdf55b1e1e939d247c6"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#acb85f79a623b0bdf55b1e1e939d247c6">OnWorkStop</a> ()</td></tr>
<tr class="separator:acb85f79a623b0bdf55b1e1e939d247c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f95b17bd047fc6547f0f83e47726244"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a2f95b17bd047fc6547f0f83e47726244">UpdateActiveParticles</a> ()</td></tr>
<tr class="separator:a2f95b17bd047fc6547f0f83e47726244"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0363d4dd17ad697f86e23f9377f7a4a1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a0363d4dd17ad697f86e23f9377f7a4a1">DestroyParticle</a> (<a class="el" href="../../de/d85/class_particle.html">Particle</a> p)</td></tr>
<tr class="separator:a0363d4dd17ad697f86e23f9377f7a4a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7332c032eba92c59ee2019519edc167b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a7332c032eba92c59ee2019519edc167b">DestroyParticleEx</a> (out <a class="el" href="../../de/d85/class_particle.html">Particle</a> p)</td></tr>
<tr class="separator:a7332c032eba92c59ee2019519edc167b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bc10af27df9bc775acbe5dc0ce90a97"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a1bc10af27df9bc775acbe5dc0ce90a97">DestroyAllParticles</a> ()</td></tr>
<tr class="separator:a1bc10af27df9bc775acbe5dc0ce90a97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36b4aa6345e914880956194f9ff500c5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a36b4aa6345e914880956194f9ff500c5">StopSmoking</a> ()</td></tr>
<tr class="separator:a36b4aa6345e914880956194f9ff500c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd683b5e2a672e8cda2e98d04b79e578"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#abd683b5e2a672e8cda2e98d04b79e578">OnInventoryExit</a> (Man player)</td></tr>
<tr class="separator:abd683b5e2a672e8cda2e98d04b79e578"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12c863dab9b4bcac63d437c18bdd61fd"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a12c863dab9b4bcac63d437c18bdd61fd">CanPutInCargo</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a12c863dab9b4bcac63d437c18bdd61fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb34c8ca4960aa2521d3bd493271ffb6"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#abb34c8ca4960aa2521d3bd493271ffb6">OnInventoryEnter</a> (Man player)</td></tr>
<tr class="separator:abb34c8ca4960aa2521d3bd493271ffb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac583f0ce9801ed0da7c518b53b949761"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#ac583f0ce9801ed0da7c518b53b949761">OnActivatedByItem</a> (notnull <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:ac583f0ce9801ed0da7c518b53b949761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a743f1249c213d60b9c367122271d9f2b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a743f1249c213d60b9c367122271d9f2b">CanIgniteItem</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> ignite_target=NULL)</td></tr>
<tr class="separator:a743f1249c213d60b9c367122271d9f2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e1d954d7381bc1b43fe389b165772c2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a6e1d954d7381bc1b43fe389b165772c2">OnVariablesSynchronized</a> ()</td></tr>
<tr class="separator:a6e1d954d7381bc1b43fe389b165772c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f38bf7a7f7112e786daf1d38421a009"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a1f38bf7a7f7112e786daf1d38421a009">SetActions</a> ()</td></tr>
<tr class="separator:a1f38bf7a7f7112e786daf1d38421a009"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a6218ec3b61b533a7ac22ee0e22ea0ac5"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a6218ec3b61b533a7ac22ee0e22ea0ac5">m_BurningState</a> = RoadflareBurningState.NOT_BURNING</td></tr>
<tr class="separator:a6218ec3b61b533a7ac22ee0e22ea0ac5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a982a7f8ee07a9d8deb57115906987050"><td class="memItemLeft" align="right" valign="top">RoadflareLight&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a982a7f8ee07a9d8deb57115906987050">m_Light</a></td></tr>
<tr class="separator:a982a7f8ee07a9d8deb57115906987050"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a258f9844ed004751d272c8f33d544291"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a258f9844ed004751d272c8f33d544291">m_ParInitialFire</a></td></tr>
<tr class="separator:a258f9844ed004751d272c8f33d544291"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a024e36ff93b6b40c44915b4b4a88fe82"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a024e36ff93b6b40c44915b4b4a88fe82">m_ParMainFire</a></td></tr>
<tr class="separator:a024e36ff93b6b40c44915b4b4a88fe82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a549d678fdc6839b9b56c18388aa6efdb"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a549d678fdc6839b9b56c18388aa6efdb">m_ParFinalFire</a></td></tr>
<tr class="separator:a549d678fdc6839b9b56c18388aa6efdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab4e253449c988aadfcf4f037303ef7c"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#aab4e253449c988aadfcf4f037303ef7c">m_ParJustSmoke</a></td></tr>
<tr class="separator:aab4e253449c988aadfcf4f037303ef7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac98336571e4346166284180bd95bcda8"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#ac98336571e4346166284180bd95bcda8">m_BurningSound</a></td></tr>
<tr class="separator:ac98336571e4346166284180bd95bcda8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b328509675b7403d3a5e37b43496024"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a3b328509675b7403d3a5e37b43496024">m_IgniteSound</a></td></tr>
<tr class="separator:a3b328509675b7403d3a5e37b43496024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec75947771d2ca20f01e733f98459b2c"><td class="memItemLeft" align="right" valign="top">ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#aec75947771d2ca20f01e733f98459b2c">m_FinalSmokeTimer</a></td></tr>
<tr class="separator:aec75947771d2ca20f01e733f98459b2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d920c4b80a60194cedb27927eca566a"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a4d920c4b80a60194cedb27927eca566a">m_ModelState</a> = RoadflareModelStates.DEFAULT</td></tr>
<tr class="separator:a4d920c4b80a60194cedb27927eca566a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a224d4450c1096172288cfc7410a22a"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a5a224d4450c1096172288cfc7410a22a">m_NoisePar</a></td></tr>
<tr class="separator:a5a224d4450c1096172288cfc7410a22a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63a0994a9ced7b6d1818e9b7fe0f016a"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a63a0994a9ced7b6d1818e9b7fe0f016a">m_NoiseTimer</a></td></tr>
<tr class="separator:a63a0994a9ced7b6d1818e9b7fe0f016a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a4e14440bba7aefd594feca9b61e0dda6"><td class="memItemLeft" align="right" valign="top">static protected const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a4e14440bba7aefd594feca9b61e0dda6">INITIAL_BURNING_STATE_TIME</a> = 5</td></tr>
<tr class="separator:a4e14440bba7aefd594feca9b61e0dda6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af252ce684d1a7824faef3df138003e19"><td class="memItemLeft" align="right" valign="top">static protected const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#af252ce684d1a7824faef3df138003e19">FINAL_BURNING_STATE_TIME</a> = 60</td></tr>
<tr class="separator:af252ce684d1a7824faef3df138003e19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f3fcb8db8b086bf3a64390c92fd1bcb"><td class="memItemLeft" align="right" valign="top">static protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a8f3fcb8db8b086bf3a64390c92fd1bcb">m_FlameLocalPos</a> = &quot;0 0.285 0&quot;</td></tr>
<tr class="separator:a8f3fcb8db8b086bf3a64390c92fd1bcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c7a04e6214ce3df0167329af3cd9399"><td class="memItemLeft" align="right" valign="top">static protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a8c7a04e6214ce3df0167329af3cd9399">PARTICLE_INIT_FIRE</a> = <a class="el" href="../../dd/dd2/class_particle_list.html#a3251a96d98b1ec760e522bf00ef96a50">ParticleList.ROADFLARE_BURNING_INIT</a></td></tr>
<tr class="separator:a8c7a04e6214ce3df0167329af3cd9399"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94fbab2cd11bb9e56fd9e7727068f0d3"><td class="memItemLeft" align="right" valign="top">static protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a94fbab2cd11bb9e56fd9e7727068f0d3">PARTICLE_MAIN_FIRE</a> = <a class="el" href="../../dd/dd2/class_particle_list.html#ac67a9b8a6e0843a4cb83e0ca035cc9b8">ParticleList.ROADFLARE_BURNING_MAIN</a></td></tr>
<tr class="separator:a94fbab2cd11bb9e56fd9e7727068f0d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca56fa7b5dc3696e579be37fd1088980"><td class="memItemLeft" align="right" valign="top">static protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#aca56fa7b5dc3696e579be37fd1088980">PARTICLE_FINAL_FIRE</a> = <a class="el" href="../../dd/dd2/class_particle_list.html#a4a5f916f04e98678e15109695da68348">ParticleList.ROADFLARE_BURNING_ENDING</a></td></tr>
<tr class="separator:aca56fa7b5dc3696e579be37fd1088980"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3272fb5879882c1cfbeeb623d24f969"><td class="memItemLeft" align="right" valign="top">static protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#af3272fb5879882c1cfbeeb623d24f969">PARTICLE_FINAL_SMOKE</a> = <a class="el" href="../../dd/dd2/class_particle_list.html#a35b433d8fd1339168172dd76c5dbb371">ParticleList.ROADFLARE_BURNING_SMOKE</a></td></tr>
<tr class="separator:af3272fb5879882c1cfbeeb623d24f969"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5fc79964306ff862237a054ded1c0f4"><td class="memItemLeft" align="right" valign="top">static protected const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#ab5fc79964306ff862237a054ded1c0f4">BURNING_SOUND</a> = &quot;roadflareLoop_SoundSet&quot;</td></tr>
<tr class="separator:ab5fc79964306ff862237a054ded1c0f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5676ea8fee96d4cef4c3b0aa8f50ab8f"><td class="memItemLeft" align="right" valign="top">static protected const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a5676ea8fee96d4cef4c3b0aa8f50ab8f">IGNITE_SOUND</a> = &quot;roadflareTurnOn_SoundSet&quot;</td></tr>
<tr class="separator:a5676ea8fee96d4cef4c3b0aa8f50ab8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19dc0f7a5fd273ad8e960b1cccc67cc1"><td class="memItemLeft" align="right" valign="top">static protected const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a19dc0f7a5fd273ad8e960b1cccc67cc1">BURNING_NOISE_RANGE</a> = 30</td></tr>
<tr class="separator:a19dc0f7a5fd273ad8e960b1cccc67cc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0acbbe138daa917787267c123d8887f"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#ac0acbbe138daa917787267c123d8887f">STANDS_FOLDED</a> = &quot;Sticks_Flare_Folded&quot;</td></tr>
<tr class="separator:ac0acbbe138daa917787267c123d8887f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe28b6743e7502c428b577a203591e5"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#affe28b6743e7502c428b577a203591e5">STANDS_UNFOLDED</a> = &quot;Sticks_Flare_Unfolded&quot;</td></tr>
<tr class="separator:affe28b6743e7502c428b577a203591e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4412b18bd0d7651ea6549d94030c4a5"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#ac4412b18bd0d7651ea6549d94030c4a5">FLARE_CAP</a> = &quot;Flare_cap&quot;</td></tr>
<tr class="separator:ac4412b18bd0d7651ea6549d94030c4a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a430104ee325a5c2a16d27b68783ed330"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a430104ee325a5c2a16d27b68783ed330">UNIGNITED_TIP</a> = &quot;Pristine&quot;</td></tr>
<tr class="separator:a430104ee325a5c2a16d27b68783ed330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b280a1af13b67b1c7f192b9d436916a"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a6b280a1af13b67b1c7f192b9d436916a">IGNITED_TIP</a> = &quot;Burning&quot;</td></tr>
<tr class="separator:a6b280a1af13b67b1c7f192b9d436916a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24f600f9479e8a03d633980a825f7b97"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a24f600f9479e8a03d633980a825f7b97">EXTINGUISHED_TIP</a> = &quot;Burned_out&quot;</td></tr>
<tr class="separator:a24f600f9479e8a03d633980a825f7b97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c70ce1cce07abba1192114d3158ab4c"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a6c70ce1cce07abba1192114d3158ab4c">SELECTION_Burning</a> = 0</td></tr>
<tr class="separator:a6c70ce1cce07abba1192114d3158ab4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a403b250978e0710d1212ba340c2e942a"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a403b250978e0710d1212ba340c2e942a">SELECTION_Burned_out</a> = 1</td></tr>
<tr class="separator:a403b250978e0710d1212ba340c2e942a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27aab4e6a1ee6ad5e888c416a19edeb8"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a27aab4e6a1ee6ad5e888c416a19edeb8">SELECTION_Pristine</a> = 2</td></tr>
<tr class="separator:a27aab4e6a1ee6ad5e888c416a19edeb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c108451c1354557cd8c56ee5a6e4900"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a4c108451c1354557cd8c56ee5a6e4900">SELECTION_All</a> = 3</td></tr>
<tr class="separator:a4c108451c1354557cd8c56ee5a6e4900"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30da4c34d16045c5fbd39e6ca1290341"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a30da4c34d16045c5fbd39e6ca1290341">DEFAULT_TEXTURE</a> = &quot;dz\\gear\\consumables\\data\\road_flare_co.paa&quot;</td></tr>
<tr class="separator:a30da4c34d16045c5fbd39e6ca1290341"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72cd4124798243092f62fa34e98341b1"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#a72cd4124798243092f62fa34e98341b1">BURNING_TEXTURE</a> = &quot;dz\\gear\\consumables\\data\\road_flare_e_co.paa&quot;</td></tr>
<tr class="separator:a72cd4124798243092f62fa34e98341b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcfaf2791f43a85f28d1eefcd37699f6"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#abcfaf2791f43a85f28d1eefcd37699f6">DEFAULT_MATERIAL</a> = &quot;dz\\gear\\consumables\\data\\road_flare.rvmat&quot;</td></tr>
<tr class="separator:abcfaf2791f43a85f28d1eefcd37699f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa62e0ecbac7f6d6fa4fe17130dc700e9"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html#aa62e0ecbac7f6d6fa4fe17130dc700e9">BURNING_MATERIAL</a> = &quot;dz\\gear\\consumables\\data\\road_flare_on.rvmat&quot;</td></tr>
<tr class="separator:aa62e0ecbac7f6d6fa4fe17130dc700e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00024">24</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4c3c64d08db1291be82bdb7bb14e681c" name="a4c3c64d08db1291be82bdb7bb14e681c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c3c64d08db1291be82bdb7bb14e681c">&#9670;&#160;</a></span>Roadflare()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Roadflare::Roadflare </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00082">82</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a743f1249c213d60b9c367122271d9f2b" name="a743f1249c213d60b9c367122271d9f2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a743f1249c213d60b9c367122271d9f2b">&#9670;&#160;</a></span>CanIgniteItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Roadflare::CanIgniteItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>ignite_target</em> = <code>NULL</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00464">464</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a12c863dab9b4bcac63d437c18bdd61fd" name="a12c863dab9b4bcac63d437c18bdd61fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12c863dab9b4bcac63d437c18bdd61fd">&#9670;&#160;</a></span>CanPutInCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Roadflare::CanPutInCargo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00434">434</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a1bc10af27df9bc775acbe5dc0ce90a97" name="a1bc10af27df9bc775acbe5dc0ce90a97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bc10af27df9bc775acbe5dc0ce90a97">&#9670;&#160;</a></span>DestroyAllParticles()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Roadflare::DestroyAllParticles </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00400">400</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a0363d4dd17ad697f86e23f9377f7a4a1" name="a0363d4dd17ad697f86e23f9377f7a4a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0363d4dd17ad697f86e23f9377f7a4a1">&#9670;&#160;</a></span>DestroyParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Roadflare::DestroyParticle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00384">384</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a7332c032eba92c59ee2019519edc167b" name="a7332c032eba92c59ee2019519edc167b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7332c032eba92c59ee2019519edc167b">&#9670;&#160;</a></span>DestroyParticleEx()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Roadflare::DestroyParticleEx </td>
          <td>(</td>
          <td class="paramtype">out <a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00393">393</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a9b949afa6dfe5c9d7d97095dd42a0d18" name="a9b949afa6dfe5c9d7d97095dd42a0d18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b949afa6dfe5c9d7d97095dd42a0d18">&#9670;&#160;</a></span>EEDelete()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Roadflare::EEDelete </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00094">94</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="ac583f0ce9801ed0da7c518b53b949761" name="ac583f0ce9801ed0da7c518b53b949761"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac583f0ce9801ed0da7c518b53b949761">&#9670;&#160;</a></span>OnActivatedByItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Roadflare::OnActivatedByItem </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00456">456</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="abb34c8ca4960aa2521d3bd493271ffb6" name="abb34c8ca4960aa2521d3bd493271ffb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb34c8ca4960aa2521d3bd493271ffb6">&#9670;&#160;</a></span>OnInventoryEnter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Roadflare::OnInventoryEnter </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00448">448</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="abd683b5e2a672e8cda2e98d04b79e578" name="abd683b5e2a672e8cda2e98d04b79e578"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd683b5e2a672e8cda2e98d04b79e578">&#9670;&#160;</a></span>OnInventoryExit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Roadflare::OnInventoryExit </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00416">416</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a0c27b06ce8f3f82dc7c3b2a0f3b92d97" name="a0c27b06ce8f3f82dc7c3b2a0f3b92d97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c27b06ce8f3f82dc7c3b2a0f3b92d97">&#9670;&#160;</a></span>OnStoreLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Roadflare::OnStoreLoad </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>version</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00118">118</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a2f9bcaffbc784e6373b1c8aa4b58914a" name="a2f9bcaffbc784e6373b1c8aa4b58914a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f9bcaffbc784e6373b1c8aa4b58914a">&#9670;&#160;</a></span>OnStoreSave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Roadflare::OnStoreSave </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00111">111</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a6e1d954d7381bc1b43fe389b165772c2" name="a6e1d954d7381bc1b43fe389b165772c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e1d954d7381bc1b43fe389b165772c2">&#9670;&#160;</a></span>OnVariablesSynchronized()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Roadflare::OnVariablesSynchronized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00469">469</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="ad41e53b17634434a0013ed8456441976" name="ad41e53b17634434a0013ed8456441976"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad41e53b17634434a0013ed8456441976">&#9670;&#160;</a></span>OnWork()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Roadflare::OnWork </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>consumed_energy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00236">236</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a6b6f386b1ab4de4610f2fe5953b45ccc" name="a6b6f386b1ab4de4610f2fe5953b45ccc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b6f386b1ab4de4610f2fe5953b45ccc">&#9670;&#160;</a></span>OnWorkStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Roadflare::OnWorkStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00190">190</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="acb85f79a623b0bdf55b1e1e939d247c6" name="acb85f79a623b0bdf55b1e1e939d247c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb85f79a623b0bdf55b1e1e939d247c6">&#9670;&#160;</a></span>OnWorkStop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Roadflare::OnWorkStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00286">286</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a1f38bf7a7f7112e786daf1d38421a009" name="a1f38bf7a7f7112e786daf1d38421a009"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f38bf7a7f7112e786daf1d38421a009">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Roadflare::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00476">476</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a8c4e5e7fe5a708ab0eb6357727aa543f" name="a8c4e5e7fe5a708ab0eb6357727aa543f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c4e5e7fe5a708ab0eb6357727aa543f">&#9670;&#160;</a></span>SetBurningState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Roadflare::SetBurningState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>state_number</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00220">220</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a561956faaefa09be57d60309a287c9ba" name="a561956faaefa09be57d60309a287c9ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a561956faaefa09be57d60309a287c9ba">&#9670;&#160;</a></span>SetBurningStateSynchronized()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Roadflare::SetBurningStateSynchronized </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>state_number</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00226">226</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a3840fa9dc3aa00751d14dd0e9b5be4a6" name="a3840fa9dc3aa00751d14dd0e9b5be4a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3840fa9dc3aa00751d14dd0e9b5be4a6">&#9670;&#160;</a></span>SetModelState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Roadflare::SetModelState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>enum_state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00088">88</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a36b4aa6345e914880956194f9ff500c5" name="a36b4aa6345e914880956194f9ff500c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36b4aa6345e914880956194f9ff500c5">&#9670;&#160;</a></span>StopSmoking()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Roadflare::StopSmoking </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00409">409</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a2f95b17bd047fc6547f0f83e47726244" name="a2f95b17bd047fc6547f0f83e47726244"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f95b17bd047fc6547f0f83e47726244">&#9670;&#160;</a></span>UpdateActiveParticles()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Roadflare::UpdateActiveParticles </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00327">327</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a613a83b9fb38be3209e1b07c282eb53f" name="a613a83b9fb38be3209e1b07c282eb53f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a613a83b9fb38be3209e1b07c282eb53f">&#9670;&#160;</a></span>UpdateModelSelections()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Roadflare::UpdateModelSelections </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00132">132</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aa62e0ecbac7f6d6fa4fe17130dc700e9" name="aa62e0ecbac7f6d6fa4fe17130dc700e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa62e0ecbac7f6d6fa4fe17130dc700e9">&#9670;&#160;</a></span>BURNING_MATERIAL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Roadflare::BURNING_MATERIAL = &quot;dz\\gear\\consumables\\data\\road_flare_on.rvmat&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00076">76</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a19dc0f7a5fd273ad8e960b1cccc67cc1" name="a19dc0f7a5fd273ad8e960b1cccc67cc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19dc0f7a5fd273ad8e960b1cccc67cc1">&#9670;&#160;</a></span>BURNING_NOISE_RANGE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Roadflare::BURNING_NOISE_RANGE = 30</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00051">51</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="ab5fc79964306ff862237a054ded1c0f4" name="ab5fc79964306ff862237a054ded1c0f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5fc79964306ff862237a054ded1c0f4">&#9670;&#160;</a></span>BURNING_SOUND</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Roadflare::BURNING_SOUND = &quot;roadflareLoop_SoundSet&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00049">49</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a72cd4124798243092f62fa34e98341b1" name="a72cd4124798243092f62fa34e98341b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72cd4124798243092f62fa34e98341b1">&#9670;&#160;</a></span>BURNING_TEXTURE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Roadflare::BURNING_TEXTURE = &quot;dz\\gear\\consumables\\data\\road_flare_e_co.paa&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00073">73</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="abcfaf2791f43a85f28d1eefcd37699f6" name="abcfaf2791f43a85f28d1eefcd37699f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcfaf2791f43a85f28d1eefcd37699f6">&#9670;&#160;</a></span>DEFAULT_MATERIAL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Roadflare::DEFAULT_MATERIAL = &quot;dz\\gear\\consumables\\data\\road_flare.rvmat&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00075">75</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a30da4c34d16045c5fbd39e6ca1290341" name="a30da4c34d16045c5fbd39e6ca1290341"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30da4c34d16045c5fbd39e6ca1290341">&#9670;&#160;</a></span>DEFAULT_TEXTURE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Roadflare::DEFAULT_TEXTURE = &quot;dz\\gear\\consumables\\data\\road_flare_co.paa&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00072">72</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a24f600f9479e8a03d633980a825f7b97" name="a24f600f9479e8a03d633980a825f7b97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24f600f9479e8a03d633980a825f7b97">&#9670;&#160;</a></span>EXTINGUISHED_TIP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Roadflare::EXTINGUISHED_TIP = &quot;Burned_out&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00065">65</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="af252ce684d1a7824faef3df138003e19" name="af252ce684d1a7824faef3df138003e19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af252ce684d1a7824faef3df138003e19">&#9670;&#160;</a></span>FINAL_BURNING_STATE_TIME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Roadflare::FINAL_BURNING_STATE_TIME = 60</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00028">28</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="ac4412b18bd0d7651ea6549d94030c4a5" name="ac4412b18bd0d7651ea6549d94030c4a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4412b18bd0d7651ea6549d94030c4a5">&#9670;&#160;</a></span>FLARE_CAP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Roadflare::FLARE_CAP = &quot;Flare_cap&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00062">62</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a5676ea8fee96d4cef4c3b0aa8f50ab8f" name="a5676ea8fee96d4cef4c3b0aa8f50ab8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5676ea8fee96d4cef4c3b0aa8f50ab8f">&#9670;&#160;</a></span>IGNITE_SOUND</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Roadflare::IGNITE_SOUND = &quot;roadflareTurnOn_SoundSet&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00050">50</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a6b280a1af13b67b1c7f192b9d436916a" name="a6b280a1af13b67b1c7f192b9d436916a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b280a1af13b67b1c7f192b9d436916a">&#9670;&#160;</a></span>IGNITED_TIP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Roadflare::IGNITED_TIP = &quot;Burning&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00064">64</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a4e14440bba7aefd594feca9b61e0dda6" name="a4e14440bba7aefd594feca9b61e0dda6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e14440bba7aefd594feca9b61e0dda6">&#9670;&#160;</a></span>INITIAL_BURNING_STATE_TIME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Roadflare::INITIAL_BURNING_STATE_TIME = 5</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00027">27</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="ac98336571e4346166284180bd95bcda8" name="ac98336571e4346166284180bd95bcda8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac98336571e4346166284180bd95bcda8">&#9670;&#160;</a></span>m_BurningSound</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a> Roadflare::m_BurningSound</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00047">47</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a6218ec3b61b533a7ac22ee0e22ea0ac5" name="a6218ec3b61b533a7ac22ee0e22ea0ac5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6218ec3b61b533a7ac22ee0e22ea0ac5">&#9670;&#160;</a></span>m_BurningState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Roadflare::m_BurningState = RoadflareBurningState.NOT_BURNING</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00030">30</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="aec75947771d2ca20f01e733f98459b2c" name="aec75947771d2ca20f01e733f98459b2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec75947771d2ca20f01e733f98459b2c">&#9670;&#160;</a></span>m_FinalSmokeTimer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref Timer Roadflare::m_FinalSmokeTimer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00054">54</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a8f3fcb8db8b086bf3a64390c92fd1bcb" name="a8f3fcb8db8b086bf3a64390c92fd1bcb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f3fcb8db8b086bf3a64390c92fd1bcb">&#9670;&#160;</a></span>m_FlameLocalPos</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> Roadflare::m_FlameLocalPos = &quot;0 0.285 0&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00029">29</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a3b328509675b7403d3a5e37b43496024" name="a3b328509675b7403d3a5e37b43496024"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b328509675b7403d3a5e37b43496024">&#9670;&#160;</a></span>m_IgniteSound</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a> Roadflare::m_IgniteSound</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00048">48</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a982a7f8ee07a9d8deb57115906987050" name="a982a7f8ee07a9d8deb57115906987050"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a982a7f8ee07a9d8deb57115906987050">&#9670;&#160;</a></span>m_Light</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">RoadflareLight Roadflare::m_Light</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00033">33</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a4d920c4b80a60194cedb27927eca566a" name="a4d920c4b80a60194cedb27927eca566a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d920c4b80a60194cedb27927eca566a">&#9670;&#160;</a></span>m_ModelState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Roadflare::m_ModelState = RoadflareModelStates.DEFAULT</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00057">57</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a5a224d4450c1096172288cfc7410a22a" name="a5a224d4450c1096172288cfc7410a22a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a224d4450c1096172288cfc7410a22a">&#9670;&#160;</a></span>m_NoisePar</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a> Roadflare::m_NoisePar</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00079">79</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a63a0994a9ced7b6d1818e9b7fe0f016a" name="a63a0994a9ced7b6d1818e9b7fe0f016a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63a0994a9ced7b6d1818e9b7fe0f016a">&#9670;&#160;</a></span>m_NoiseTimer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d4/dc3/classfloat.html">float</a> Roadflare::m_NoiseTimer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00080">80</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a549d678fdc6839b9b56c18388aa6efdb" name="a549d678fdc6839b9b56c18388aa6efdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a549d678fdc6839b9b56c18388aa6efdb">&#9670;&#160;</a></span>m_ParFinalFire</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a> Roadflare::m_ParFinalFire</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00038">38</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a258f9844ed004751d272c8f33d544291" name="a258f9844ed004751d272c8f33d544291"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a258f9844ed004751d272c8f33d544291">&#9670;&#160;</a></span>m_ParInitialFire</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a> Roadflare::m_ParInitialFire</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00036">36</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="aab4e253449c988aadfcf4f037303ef7c" name="aab4e253449c988aadfcf4f037303ef7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab4e253449c988aadfcf4f037303ef7c">&#9670;&#160;</a></span>m_ParJustSmoke</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a> Roadflare::m_ParJustSmoke</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00039">39</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a024e36ff93b6b40c44915b4b4a88fe82" name="a024e36ff93b6b40c44915b4b4a88fe82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a024e36ff93b6b40c44915b4b4a88fe82">&#9670;&#160;</a></span>m_ParMainFire</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a> Roadflare::m_ParMainFire</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00037">37</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="aca56fa7b5dc3696e579be37fd1088980" name="aca56fa7b5dc3696e579be37fd1088980"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca56fa7b5dc3696e579be37fd1088980">&#9670;&#160;</a></span>PARTICLE_FINAL_FIRE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Roadflare::PARTICLE_FINAL_FIRE = <a class="el" href="../../dd/dd2/class_particle_list.html#a4a5f916f04e98678e15109695da68348">ParticleList.ROADFLARE_BURNING_ENDING</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00043">43</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="af3272fb5879882c1cfbeeb623d24f969" name="af3272fb5879882c1cfbeeb623d24f969"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3272fb5879882c1cfbeeb623d24f969">&#9670;&#160;</a></span>PARTICLE_FINAL_SMOKE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Roadflare::PARTICLE_FINAL_SMOKE = <a class="el" href="../../dd/dd2/class_particle_list.html#a35b433d8fd1339168172dd76c5dbb371">ParticleList.ROADFLARE_BURNING_SMOKE</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00044">44</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a8c7a04e6214ce3df0167329af3cd9399" name="a8c7a04e6214ce3df0167329af3cd9399"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c7a04e6214ce3df0167329af3cd9399">&#9670;&#160;</a></span>PARTICLE_INIT_FIRE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Roadflare::PARTICLE_INIT_FIRE = <a class="el" href="../../dd/dd2/class_particle_list.html#a3251a96d98b1ec760e522bf00ef96a50">ParticleList.ROADFLARE_BURNING_INIT</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00041">41</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a94fbab2cd11bb9e56fd9e7727068f0d3" name="a94fbab2cd11bb9e56fd9e7727068f0d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94fbab2cd11bb9e56fd9e7727068f0d3">&#9670;&#160;</a></span>PARTICLE_MAIN_FIRE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Roadflare::PARTICLE_MAIN_FIRE = <a class="el" href="../../dd/dd2/class_particle_list.html#ac67a9b8a6e0843a4cb83e0ca035cc9b8">ParticleList.ROADFLARE_BURNING_MAIN</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00042">42</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a4c108451c1354557cd8c56ee5a6e4900" name="a4c108451c1354557cd8c56ee5a6e4900"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c108451c1354557cd8c56ee5a6e4900">&#9670;&#160;</a></span>SELECTION_All</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Roadflare::SELECTION_All = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00070">70</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a403b250978e0710d1212ba340c2e942a" name="a403b250978e0710d1212ba340c2e942a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a403b250978e0710d1212ba340c2e942a">&#9670;&#160;</a></span>SELECTION_Burned_out</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Roadflare::SELECTION_Burned_out = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00068">68</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a6c70ce1cce07abba1192114d3158ab4c" name="a6c70ce1cce07abba1192114d3158ab4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c70ce1cce07abba1192114d3158ab4c">&#9670;&#160;</a></span>SELECTION_Burning</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Roadflare::SELECTION_Burning = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00067">67</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a27aab4e6a1ee6ad5e888c416a19edeb8" name="a27aab4e6a1ee6ad5e888c416a19edeb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27aab4e6a1ee6ad5e888c416a19edeb8">&#9670;&#160;</a></span>SELECTION_Pristine</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Roadflare::SELECTION_Pristine = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00069">69</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="ac0acbbe138daa917787267c123d8887f" name="ac0acbbe138daa917787267c123d8887f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0acbbe138daa917787267c123d8887f">&#9670;&#160;</a></span>STANDS_FOLDED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Roadflare::STANDS_FOLDED = &quot;Sticks_Flare_Folded&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00060">60</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="affe28b6743e7502c428b577a203591e5" name="affe28b6743e7502c428b577a203591e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affe28b6743e7502c428b577a203591e5">&#9670;&#160;</a></span>STANDS_UNFOLDED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Roadflare::STANDS_UNFOLDED = &quot;Sticks_Flare_Unfolded&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00061">61</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a430104ee325a5c2a16d27b68783ed330" name="a430104ee325a5c2a16d27b68783ed330"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a430104ee325a5c2a16d27b68783ed330">&#9670;&#160;</a></span>UNIGNITED_TIP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Roadflare::UNIGNITED_TIP = &quot;Pristine&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00063">63</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ItemBase/<a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/dcf/class_roadflare.html">Roadflare</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
